﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGridGroupByFilterProblem
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        private DummiData _source;

        public DummiData Source
        {
            get { return _source; }
            set { _source = value; OnPropertyChanged("Source"); }
        }

        public MainWindow()
        {
            InitializeComponent();
            DataContext = this;
            Source = new DummiData();
        }

        private void OnPropertyChanged(String pname)
        {
            if(PropertyChanged==null)return;
            PropertyChanged.Invoke(this, new PropertyChangedEventArgs(pname));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
